ValueAggregatorMapper (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.lib.aggregate, class: ValueAggregatorMapper

Package org.apache.hadoop.mapreduce.lib.aggregate

# Class ValueAggregatorMapper<K1 extends WritableComparable<?>,V1 extends Writable>

java.lang.Object
org.apache.hadoop.mapreduce.Mapper<K1,V1,Text,Text>
org.apache.hadoop.mapreduce.lib.aggregate.ValueAggregatorMapper<K1,V1>

@Public @Stable public class ValueAggregatorMapper<K1 extends WritableComparable<?>,V1 extends Writable> extends Mapper<K1,V1,Text,Text>
This class implements the generic mapper of Aggregate.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Mapper

  `org.apache.hadoop.mapreduce.Mapper.Context`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValueAggregatorMapper()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `map(K1 key, V1 value, Mapper<K1,V1,Text,Text>.org.apache.hadoop.mapreduce.Mapper.Context context)`
  the map function.
  `void`
  `setup(Mapper<K1,V1,Text,Text>.org.apache.hadoop.mapreduce.Mapper.Context context)`
  Called once at the beginning of the task.

  ### Methods inherited from class org.apache.hadoop.mapreduce.Mapper

  `cleanup, run`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ValueAggregatorMapper

    public ValueAggregatorMapper()

- ## Method Details

  - ### setup

    public void setup(Mapper<K1,V1,Text,Text>.org.apache.hadoop.mapreduce.Mapper.Context context) throws IOException, InterruptedException
    Description copied from class: `Mapper`
    Called once at the beginning of the task.
    Overrides:
      `setup` in class `Mapper<K1 extends WritableComparable<?>,V1 extends Writable,Text,Text>`
    Throws:
      `IOException`
      `InterruptedException`

  - ### map

    public void map(K1 key, V1 value, Mapper<K1,V1,Text,Text>.org.apache.hadoop.mapreduce.Mapper.Context context) throws IOException, InterruptedException
    the map function. It iterates through the value aggregator descriptor list to generate aggregation id/value pairs and emit them.
    Overrides:
      `map` in class `Mapper<K1 extends WritableComparable<?>,V1 extends Writable,Text,Text>`
    Throws:
      `IOException`
      `InterruptedException`